Bug 1008110 - sudo does not find /etc/openldap/ldap.conf
sudo does not find /etc/openldap/ldap.conf
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: sudo (Show other bugs)
21
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Daniel Kopeček
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-14 16:42 EDT by W. Michael Petullo
Modified: 2015-12-02 11:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:57:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2013-09-14 16:42:50 EDT
Description of problem:
I have configured sudo to read its sudoers configuration from LDAP. In doing so, I found that sudo does not find /etc/openldap/ldap.conf; instead, it looks for /etc/ldap.conf. This means that I had to link /etc/openldap/ldap.conf to /etc/ldap.conf.

Version-Release number of selected component (if applicable):
sudo-1.8.6p7-1.fc19.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Configure sudo to read its configuration from LDAP

Actual results:
Must link /etc/openldap/ldap.conf to /etc/ldap.conf.

Expected results:
It would be nice if there one a single LDAP configuration file.
Comment 1 Fedora End Of Life 2015-01-09 14:50:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 W. Michael Petullo 2015-01-09 23:49:16 EST
Functionally, this seems to be fixed by configuring sudo to use sss instead of ldap in /etc/nsswitch.conf. However, when I configure sudo on Fedora 21 to use ldap, it still tries to read /etc/ldap.conf instead of /etc/openldap/ldap.conf.

I updated this bug to cover Fedora 21 because Fedora 19 is nearing the end of its life.
Comment 3 Fedora End Of Life 2015-11-04 09:16:10 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-01 21:57:49 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.